## org.eclipse.jetty.webapp
Class StandardDescriptorProcessor

    java.lang.Object
      org.eclipse.jetty.webapp.IterativeDescriptorProcessor
          org.eclipse.jetty.webapp.StandardDescriptorProcessor

All Implemented Interfaces:
  DescriptorProcessor

    public class StandardDescriptorProcessor

extends IterativeDescriptorProcessor

StandardDescriptorProcessor

Field Summary
`static String` `STANDARD_PROCESSOR`

Fields inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`__signature, _visitors`

Constructor Summary
`StandardDescriptorProcessor()`

Method Summary
`protected void` `addWelcomeFiles(WebAppContext context, XmlParser.Node node)`
`void` `end(WebAppContext context, Descriptor descriptor)`
`protected String` `getSystemClassPath(WebAppContext context)` Generate the classpath (as a string) of all classloaders above the webapp's classloader.
`protected EventListener` `newListenerInstance(WebAppContext context, Class<? extends EventListener> clazz)`
`protected String` `normalizePattern(String p)`
`void` `start(WebAppContext context, Descriptor descriptor)`
`void` `visitContextParam(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitDisplayName(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitDistributable(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitErrorPage(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitFilter(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitFilterMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitJspConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitListener(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitLocaleEncodingList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitLoginConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitMimeMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitSecurityConstraint(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitSecurityRole(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitServlet(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitServletMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitSessionConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitTagLib(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
`protected void` `visitWelcomeFileList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

Methods inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`process, registerVisitor, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_PROCESSOR

    public static final String STANDARD_PROCESSOR

See Also:
  Constant Field Values

Constructor Detail

### StandardDescriptorProcessor

    public StandardDescriptorProcessor()

Method Detail

### start

    public void start(WebAppContext context,
                      Descriptor descriptor)

  Specified by:
    `start` in class `IterativeDescriptorProcessor`
  See Also:
    `org.eclipse.jetty.webapp.IterativeDescriptorProcessor#start()`

### end

    public void end(WebAppContext context,
                    Descriptor descriptor)

  Specified by:
    `end` in class `IterativeDescriptorProcessor`
  See Also:
    `org.eclipse.jetty.webapp.IterativeDescriptorProcessor#end()`

### visitContextParam

    public void visitContextParam(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

### visitDisplayName

    protected void visitDisplayName(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)

### visitServlet

    protected void visitServlet(WebAppContext context,
                                Descriptor descriptor,
                                XmlParser.Node node)

### visitServletMapping

    protected void visitServletMapping(WebAppContext context,
                                       Descriptor descriptor,
                                       XmlParser.Node node)

### visitSessionConfig

    protected void visitSessionConfig(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

### visitMimeMapping

    protected void visitMimeMapping(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)

### visitWelcomeFileList

    protected void visitWelcomeFileList(WebAppContext context,
                                        Descriptor descriptor,
                                        XmlParser.Node node)

### visitLocaleEncodingList

    protected void visitLocaleEncodingList(WebAppContext context,
                                           Descriptor descriptor,
                                           XmlParser.Node node)

### visitErrorPage

    protected void visitErrorPage(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

### addWelcomeFiles

    protected void addWelcomeFiles(WebAppContext context,
                                   XmlParser.Node node)

### visitTagLib

    protected void visitTagLib(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

### visitJspConfig

    protected void visitJspConfig(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

### visitSecurityConstraint

    protected void visitSecurityConstraint(WebAppContext context,
                                           Descriptor descriptor,
                                           XmlParser.Node node)

### visitLoginConfig

    protected void visitLoginConfig(WebAppContext context,
                                    Descriptor descriptor,
                                    XmlParser.Node node)
                             throws Exception

  Throws:
    `Exception`

### visitSecurityRole

    protected void visitSecurityRole(WebAppContext context,
                                     Descriptor descriptor,
                                     XmlParser.Node node)

### visitFilter

    protected void visitFilter(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

### visitFilterMapping

    protected void visitFilterMapping(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

### visitListener

    protected void visitListener(WebAppContext context,
                                 Descriptor descriptor,
                                 XmlParser.Node node)

### visitDistributable

    protected void visitDistributable(WebAppContext context,
                                      Descriptor descriptor,
                                      XmlParser.Node node)

### newListenerInstance

    protected EventListener newListenerInstance(WebAppContext context,
                                                Class<? extends EventListener> clazz)
                                         throws ServletException,
                                                InstantiationException,
                                                IllegalAccessException

  Throws:
    `ServletException`
    `InstantiationException`
    `IllegalAccessException`

### normalizePattern

    protected String normalizePattern(String p)

### getSystemClassPath

    protected String getSystemClassPath(WebAppContext context)

  Generate the classpath (as a string) of all classloaders above the webapp's classloader. This is primarily used for jasper.

  Returns:

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.